Page MenuHomePhabricator

In multi-content/template-block scenarios, Linter displays "--" in the "Through a template"? column
Closed, ResolvedPublic

Description

As far as I can tell, when template info for a linter error is not a single template but actually a multi-content block, linter is displaying a "--" in the "Through a template"? column. This is misleading. Something else should be displayed there. Unsure if this is a Parsoid issue or a Linter UI issue.

Related Objects

Mentioned In
T165538: Need a mechanism / process to purge invalid / stale entries from the Linter database
T163549: Only lint pages that have wikitext contentmodel
T161151: Parsoid should resolve template paths before providing them to Linter
T164006: Suggestion: API for fetching lint errors for a specific revision
T163091: Parsoid: Add API endpoint to get lint errors for arbitrary wikitext
T153107: Parsoid is generating [[Foo|Foo]] instead of [[Foo]] for some VE edits
T37247: content-holding <div> should only contain the page text
T164792: Add class mw-parser-output to Parsoid's output
T141226: Missing data-mw content in wikitext leads to html2wt exceptions
rELINT3eea8ed824e6: Handle multi-part-template-block output from Parsoid's linter
rELINT80120b0b1fbd: Handle multi-part-template-block output from Parsoid's linter
T163092: Linter does not handle "Multi-part-template" well
T163045: Linter extension indicating a "missing end" or/stripped tag when no such condition exists.
T163003: List exact point where Linter found the malformation.
Mentioned Here
rGPARa182c227f09d: T141226: Fix logic when unpacking dom fragments
T37247: content-holding <div> should only contain the page text
T141226: Missing data-mw content in wikitext leads to html2wt exceptions
T153107: Parsoid is generating [[Foo|Foo]] instead of [[Foo]] for some VE edits
T161151: Parsoid should resolve template paths before providing them to Linter
T163091: Parsoid: Add API endpoint to get lint errors for arbitrary wikitext
T163549: Only lint pages that have wikitext contentmodel
T164006: Suggestion: API for fetching lint errors for a specific revision
T164792: Add class mw-parser-output to Parsoid's output

Event Timeline

ssastry created this task.Apr 13 2017, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 4:46 PM
ssastry triaged this task as High priority.Apr 14 2017, 6:23 PM
ssastry moved this task from Backlog to Next Up on the Parsoid board.
ssastry moved this task from Next Up to Non-Parsoid Tasks on the Parsoid board.Apr 17 2017, 7:06 PM

Change 352615 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Linter: Emit a diagnostic message for multi template content blocks

https://gerrit.wikimedia.org/r/352615

Change 352714 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/extensions/Linter@master] Handle multi-part-template-block output from Parsoid's linter

https://gerrit.wikimedia.org/r/352714

Change 352714 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Handle multi-part-template-block output from Parsoid's linter

https://gerrit.wikimedia.org/r/352714

Change 352615 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Linter: Add a flag to templateInfo for multi-part templated blocks

https://gerrit.wikimedia.org/r/352615

Legoktm closed this task as Resolved.Jun 21 2017, 2:32 AM
Legoktm claimed this task.